


RAPCHECK(8)                                           RAPCHECK(8)


NNAAMMEE
       rapcheck - Resource Administration Platform (RAP) resource
       directory consistency checking program

SSYYNNOOPPSSIISS
       rraappcchheecckk [ --aaddnnvvyy ] [ _r_a_p_h_o_s_t ]

DDEESSCCRRIIPPTTIIOONN
       The rraappcchheecckk program maintains the consistency of the  RAP
       resource  directory  between  multiple servers, and checks
       for _g_a_r_b_a_g_e_,  resource  descriptors  that  are  no  longer
       valid.

       --aa     Automatic  mode.  This  causes another server to be
              contacted, and all the  resources  in  that  server
              included  in  the  local  server's database. Before
              they  are  added,  new  resources   are   contacted
              directly  to  make  sure that they really do exist.
              If this option is nnoott specified, then each resource
              in  the local database is contact to verify that it
              still exists.

       --dd     Debug.  Turn on some debugging printouts.

       --nn     Not really.  Check, but do  not  actually  transfer
              any data.

       --vv     Verbose.  Turns on more verbose printouts.

       --yy     Yes.  No confirmation will be requested.

       Resources are grouped together if they have the same _l_o_c_a_-
       _t_i_o_n; generally all the resources managed by a  particular
       instance of a service will have the same location given by
       the hhoossttnnaammee, OONNCC pprrooggrraamm nnuummbbeerr, and OONNCC  vveerrssiioonn  nnuummbbeerr
       attributes.   For  ``soft''  errors like a host being tem-
       porarily down, all of the  resources  can  be  deleted  at
       once,  either  in  response to asking a user, or automati-
       cally after the time (in seconds) given in the ddeeffaauulltt RRAAPP
       eexxppiirree  ttiimmee  attribute  of  the  RRAAPP  aarreeaa resource.  For
       ``hard'' errors, such as  a  service  that  has  been  re-
       installed  so  it  no longer recognizes its old resources,
       the old resources are immediately deleted.

FFIILLEESS
       //vvaarr//rraapp//ggaarrbbaaggee..rreess
              Potential garbage stored by the rraappcchheecckk program.

SSEEEE AALLSSOO
       rreessoouurrccee(5), rraapp(8), rraappdd(8).







UNRELEASED                March 08, 2000                        1


